/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.facebook.presto.operator;

import com.facebook.presto.spi.RecordCursor;
import com.facebook.presto.spi.block.Block;

public final class FilterFunctions
{
    public static final FilterFunction TRUE_FUNCTION = new TrueFilterFunction();

    private FilterFunctions() {}

    private static class TrueFilterFunction
            implements FilterFunction
    {
        @Override
        public boolean filter(int position, Block... blocks)
        {
            return true;
        }

        @Override
        public boolean filter(RecordCursor cursor)
        {
            return true;
        }

        @Override
        public String toString()
        {
            return "TRUE";
        }
    }
}
